Subject: Re: bug#20484: bug#20202: Considered Harmful 73d213: 'Comint, term, and compile new set Emacs'

From: Paul Eggert <[email-masked]>
Date: Sun, 10 Apr 2016 22:50:08 -0700

Stefan Monnier wrote:
> Hmm.. what are those "abort" and "2" in the output?
>
> When running swipl inside a terminal I don't see these, so why do we see
> them in M-x run-prolog?

I'm afraid I don't know, and don't have the patience to find out. The SWI-Prolog 
source code is not immediately obvious, and it doesn't appear to agree with its 
documentation. Rather than fool around with it I simply installed the 
INFERIOR=yes workaround into emacs-25/lisp/progmodes/prolog.el.

> FWIW, the current prolog.el has some tweaks for GNU Prolog which might
> be relevant.  So you might like to try again and see if the problem is
> still present.  If not, report it as a bug (and put me in X-Debbugs-Cc).

Thanks. Until yesterday I didn't know about M-x run-prolog. I just ran gprolog 
in a M-x shell window, which doesn't work well. I'll try to remember to use M-x 
run-prolog from now on.